Documentation Index
Fetch the complete documentation index at: https://api-docs.rabot.energy/llms.txt
Use this file to discover all available pages before exploring further.
2026-03-11
- API Documentation review and updates to reflect recent deployments and include optimization feedback from users completed.
- New guides added:
- Orders: Mandatory, Optional, Conditional Fields
- Offer Order Contract Lifecycle
- Expaned guide:
- Order Status & Change Process Detailed
2026-03-06
- Introduced new
salesPersonIdfield to the contracts DTO within the Request Body in the POST order call to enhance analytics capabilities for API integrated sales affiliates.
2026-01-19
- Introduced new
legalStructurefield to the contracts DTO within the Request Body in the POST order call to enhance insolvency check capabilities of business tariffs. - Mandatory field for the transmission of ´contract.type: business´
2026-01-16
- Enhanced Pricing Details available from the calculate offer price endpoint to provide sufficient information for 41a pre-contractual information regulations related to the sale of energy tariffs.
- Added breakdowns for base price and work price components.
- Base price details: grid fee and metering fee (monthly).
- Work price details: service fee, risk premium fee, average exchange price, green certificate surcharge, power fee, grid fee, power heat coupling fee, concession fee, offshore fee, P19 fee, and effective work price adjustment.
2026-01-14
- Introduced new
Industryfield to the contracts DTO within the Request Body in the POST order call. - Mandatory field for the transmission of
contracts.type: Business(B2B energy contracts).
2025-12-18
- API Documentation review and updates to reflect recent deployments and include optimization feedback from users completed.
2025-12-01
- Deployment of new computation logic for
WorkingPricevalues to reflect switchover to 15-Minute interval billing. Values returned when calling the GET /metrics endpoint now accurately provide 15-Minute values of Spot Price + Contract Costs.
2025-11-20
- Introduced new
valueStatefield to the Records DTO returned in the GET /metrics endpoint to externalise visibility on the state of values returned in the response, specificallyConsumptionvalues to avoid potential breaking.
2025-11-14
- Introduced new functionality to the POST order, whereby when
Passwordis null, the email provided in the order is enrolled in a password set flow to optimize customer onboarding experience via Self-Build funnels and Affilliate integrations.
2025-11-11
- The Orders DTO under the GET orders endpoint now returns extended ‘deliveryState’ information to externalise more details change process status information. See endpoint here.
2025-11-10
- The get order endpoint now has additional filtering functionalities.
- ‘filter.fromUpdatedAt’-> Enables querying orders that have a change process status update since their creation
- ‘filter.partnershipType’ -> Enables querying orders based on the partnership type, e.g. Whitelabel
2025-10-30
- The Contract DTO under the GET contracts endpoint now returns §14a Module information. See endpoint here.
2025-10-29
- The Day-Ahead market prices endpoint was updated to externalise 15-Minute interval Day-Ahead prices
- Additionally, a granularity parameter was added to allow hourly prices to be queried also.
2025-08-26
- The create order endpoint now allows for an ´OfferDate´ to be transmitted, ensuring accurate tariff pricing for the `contractDraft´ generation. See orders guide
- Updated documentation in contract metrics guide with information about availability of forecasted data
2025-08-20
- Added
authAsparameter to create customer link call - Extended customer linking guide accordingly
2025-08-12
- Improved documentation on customer linking
- Improved documentation on contract information
2025-07-28
- Improved documentation on order states
2025-07-22
- Added contract cost endpoint. This allows you to retrieve details about the different cost components for a contract at the time period of the call.
2025-07-16
- The list orders endpoint now allows to filter by customer number to only retrieve orders for a particular customer.
- The list customers endpoint now allows to filter by external id.
- List endpoints now provide a
hasMoreItemsflag in the response to indicate if more items are available beyond the end of the list. See pagination for more info. - Improved error handling for the contract metrics endpoint. Now returns an empty response if no data is available, and a HTTP/404 status code if an invalid customer number or contract number is used.